For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • POSTCreate Project Risk
      • GETQuery Risks
      • GETGet Risk
      • PUTUpdate Risk
      • DELRemove Risk
      • GETGet Risks for Project
      • POSTCreate Risk
      • POSTCreate Risk Export
LogoLogo
SupportContact salesStart free trial
API ReferenceRisk

Get Risk

GET
https://api.projectmanager.com/api/data/risks/:riskId
GET
/api/data/risks/:riskId
$curl https://api.projectmanager.com/api/data/risks/riskId \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "projectId": "string",
16 "name": "string",
17 "dueDate": "2023-01-15",
18 "percentComplete": 1,
19 "priority": 1,
20 "impact": 1,
21 "likelihood": 1,
22 "responseId": 1,
23 "resolution": "string",
24 "notes": "string",
25 "createDate": "2024-01-15T09:30:00Z",
26 "modifyDate": "2024-01-15T09:30:00Z",
27 "version": 1,
28 "shortId": "string",
29 "taskTypeId": 1,
30 "assignments": [
31 {
32 "taskId": "string",
33 "projectId": "string",
34 "resourceId": "string"
35 }
36 ],
37 "tags": [
38 {
39 "id": "string",
40 "name": "string",
41 "color": "string"
42 }
43 ],
44 "owner": {
45 "id": "string",
46 "initials": "string",
47 "firstName": "string",
48 "lastName": "string",
49 "email": "string",
50 "isActive": true,
51 "color": "string",
52 "avatarUrl": "string"
53 },
54 "filesCount": 1,
55 "commentsCount": 1,
56 "riskTypeId": 1,
57 "project": {
58 "id": "string",
59 "shortId": "string",
60 "name": "string"
61 },
62 "discussionData": {
63 "count": 1,
64 "lastUpdatedDate": "2024-01-15T09:30:00Z",
65 "lastReadDate": "2024-01-15T09:30:00Z"
66 },
67 "fileData": {
68 "count": 1,
69 "lastUpdatedDate": "2024-01-15T09:30:00Z",
70 "lastReadDate": "2024-01-15T09:30:00Z"
71 },
72 "recurring": true,
73 "recurringParentTaskId": "string",
74 "recurringSettings": {
75 "type": 1,
76 "repeatEvery": 1,
77 "repeatOn": [
78 1
79 ],
80 "repeatOn2Level": 1,
81 "endsOn": "2024-01-15T09:30:00Z",
82 "endsAfter": 1
83 }
84 }
85}

Retrieve a Risk by its unique identifier or by its short ID. A Risk has both a unique identifier (GUID) and a short ID that is unique within a Workspace.

Was this page helpful?
Previous

Update Risk

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

riskIdstringRequired
The id of the risk

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
A Risk represents an item of potential impact or uncertainty. It is visible to the creator and users assigned to manage or review it. Risks share many characteristics with tasks but are tracked independently from project execution work.